ur_rna.GUITester.GuiTools.Matchers

## Class ComposableBase.Inverse

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.ComposableBase.Inverse

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Enclosing class:
    ComposableBase

      protected static class ComposableBase.Inverse
      extends ComposableBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private abbot.finder.Matcher` | `_m`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inverse(abbot.finder.Matcher reference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abbot.finder.Matcher[]` | `getChildMatchers()` Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
    `abbot.finder.Matcher` | `getReference()`
    `boolean` | `matches(java.awt.Component component)`
    `ComposableMatcher` | `simplify()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, identity, inverse, inverse, or, self, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _m

          private abbot.finder.Matcher _m

  - ### Constructor Detail

    - #### Inverse

          public Inverse(abbot.finder.Matcher reference)

  - ### Method Detail

    - #### getChildMatchers

          public abbot.finder.Matcher[] getChildMatchers()

      Description copied from interface: `ComposableMatcher`
      Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
      Specified by:
        `getChildMatchers` in interface `ComposableMatcher`
      Overrides:
        `getChildMatchers` in class `ComposableBase`
      Returns:
        A non-null array of Matchers.

    - #### getReference

          public abbot.finder.Matcher getReference()

    - #### matches

          public boolean matches(java.awt.Component component)

    - #### simplify

          public ComposableMatcher simplify()

      Specified by:
        `simplify` in interface `ComposableMatcher`
      Overrides:
        `simplify` in class `ComposableBase`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ComposableBase`